﻿Imports System.Collections.ObjectModel

Public Class NoticeDataService
    Implements INoticeDataService

    Public ReadOnly Property GetNotes As ObservableCollection(Of NoteViewModel) Implements INoticeDataService.GetNotes

        Get
            If Not IO.File.Exists(Application.DataFile) Then
                Return New ObservableCollection(Of NoteViewModel)
            Else
                Dim ser As New XmlSerializer()
                Return ser.DeSerialize(Of ObservableCollection(Of NoteViewModel))(Application.DataFile, New ObservableCollection(Of NoteViewModel), True)
            End If
        End Get

    End Property

    Public Sub Save(Notes As ObservableCollection(Of NoteViewModel)) Implements INoticeDataService.Save

        Dim ser As New XmlSerializer()
        ser.Serialize(Application.DataFile, Notes, True)

    End Sub
End Class